hpp-corbaserver: Gaussian Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Gaussian Class Reference

`#include <hpp/core_idl/configuration_shooters-idl.hh>`

Inheritance diagram for Gaussian:
[legend]
Collaboration diagram for Gaussian:
[legend]

## Public Types
typedef Gaussian_ptr | _ptr_type
typedef Gaussian_var | _var_type
Public Types inherited from ConfigurationShooter
typedef ConfigurationShooter_ptr | _ptr_type
typedef ConfigurationShooter_var | _var_type

## Public Member Functions
virtual | ~Gaussian ()
inline ::hpp::core_idl::configuration_shooter::Gaussian_ptr | _this ()
Public Member Functions inherited from ConfigurationShooter
virtual | ~ConfigurationShooter ()
inline ::hpp::core_idl::ConfigurationShooter_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)
Static Public Member Functions inherited from ConfigurationShooter
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId
Static Public Attributes inherited from ConfigurationShooter
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef Gaussian_ptr Gaussian::_ptr_type

## ◆ _var_type

typedef Gaussian_var Gaussian::_var_type

## Constructor & Destructor Documentation

## ◆ ~Gaussian()

virtual Gaussian::~Gaussian | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type Gaussian::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type Gaussian::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void Gaussian::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type Gaussian::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type Gaussian::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::core_idl::configuration_shooter::Gaussian_ptr Gaussian::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type Gaussian::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type Gaussian::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* Gaussian::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/core_idl/configuration_shooters-idl.hh